Draft Drawing/cs: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand|Name=Draft_Drawing|Workbenches=Kreslení, Architektura|MenuLocation=Drafting -> Drawing}}")
(Created page with "==Popis==")
Line 1: Line 1:
{{GuiCommand|Name=Draft_Drawing|Workbenches=[[Draft Module|Kreslení]], [[Arch Module|Architektura]]|MenuLocation=Drafting -> Drawing}}
{{GuiCommand|Name=Draft_Drawing|Workbenches=[[Draft Module|Kreslení]], [[Arch Module|Architektura]]|MenuLocation=Drafting -> Drawing}}


==Description==
==Popis==


Tento nástrpj umožňuje umístit vybrané objekty na svg [[Drawing Module|Výkresy]]. Jestliže v dokumentu není žádná [[Drawing_templates|šablona]], bude vytvořena defaultní.
Tento nástrpj umožňuje umístit vybrané objekty na svg [[Drawing Module|Výkresy]]. Jestliže v dokumentu není žádná [[Drawing_templates|šablona]], bude vytvořena defaultní.

Revision as of 10:27, 14 February 2014

Draft_Drawing

Menu location
Drafting -> Drawing
Workbenches
Kreslení, Architektura
Default shortcut
None
Introduced in version
-
See also
None

Popis

Tento nástrpj umožňuje umístit vybrané objekty na svg Výkresy. Jestliže v dokumentu není žádná šablona, bude vytvořena defaultní.

Použití

  1. Vyberte objekty, které chcete umístit na výkres
  2. Stiskněte tlačítko Výkres

Volby

  • Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the Draft or Sketcher modules.
  • If the selected object is an Arch SectionPlane, this tool will create an additional view of that section plane.
  • In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
  • If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.

Properties

  • ÚdajeFill Style: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
  • ÚdajeFont Size: Allows you to specify the font size of texts and dimensions.
  • ÚdajeLine Width: Allows you to specify the line width of viewed objects.

Scripting

The Draft Drawing tool can by used in macros and from the python console by using the following function:

 makeDrawingView (object,page)
  • Adds a view of the given object to the given page.
  • Returns the created view object.

Example:

 import FreeCAD,Draft
 obj = FreeCAD.ActiveDocument.ActiveObject
 page = FreeCAD.ActiveDocument.Page
 Draft.makeDrawingView(obj,page)